System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.MsmqElementBase

The enables the user to set the properties of the queued communication channel. The queued communication channel uses MSMQ for its transport.

This binding element is the default binding element used by the MSMQ standard binding ().

Represents the binding element used to specify the queuing communication properties for a indigo1 service that uses the native MSMQ protocol.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Applies the settings of this configuration element to the specified binding element.

  The to which settings are applied.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the binding type.

- Method
  4.0.0.0
  System.Void `` To be added.

  Copies the settings from the specified to this configuration element.

  The element to copy settings from.
- Method
  4.0.0.0
  System.ServiceModel.Channels.TransportBindingElement To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxPoolSize", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=0)
  System.Int32 To be added.

  The internal MSMQ message object pool is used to avoid allocations of these objects when sending and receiving messages. The maximum pool size is a performance tuning parameter. The default value is 8.

  Gets or sets an integer that specifies the maximum size of the pool that contains internal MSMQ message objects.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("queueTransferProtocol", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.QueueTransferProtocol To be added.

  MSMQ does not support Active Directory addressing when using SOAP Reliable Messaging Protocol, so do not set to or when is set to true.

  Gets or sets an enumeration value that indicates the queued communication channel transport that this binding uses.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("useActiveDirectory", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added.

  MSMQ queue addresses can consist of path names or direct format names. With a direct format name, MSMQ resolves the queue name using DNS, NetBIOS, or IP. With a path name, MSMQ resolves the queue name using Active Directory.

  By default, the indigo1 queued transport converts the URI of a message queue to a direct format name. By setting the property to true, an application can specify that the queued transport should resolve the computer name using Active Directory rather than DNS, NetBIOS, or IP.

  Returns a Boolean value that indicates whether queue addresses should be converted using Active Directory.